## samba 4.18.6%2Bdfsg

=== debian/changelog ===
samba (2:4.18.6+dfsg-1.0nosystemd1) nosystemd; urgency=medium

  * No systemd/elogind 

 -- anticapitalista <antix@operamail.com>  Thu, 17 Aug 2023 15:11:22 +0300

samba (2:4.18.6+dfsg-1) unstable; urgency=medium

  * new upstream stable/bugfix release:
   - https://bugzilla.samba.org/show_bug.cgi?id=9959
     Windows client join fails if a second container CN=System exists somewhere
   - https://bugzilla.samba.org/show_bug.cgi?id=15289
     post-exec password redaction for samba-tool is more reliable for
     fully random passwords as it no longer uses regular expressions
     containing the password value itself
   - https://bugzilla.samba.org/show_bug.cgi?id=15342
     Spotlight sometimes returns no results on latest macOS
   - https://bugzilla.samba.org/show_bug.cgi?id=15346
     2-3min delays at reconnect with smb2_validate_sequence_number:
     bad message_id 2
   - https://bugzilla.samba.org/show_bug.cgi?id=15390
     Python tarfile extraction needs change to avoid a warning
     (CVE-2007-4559 mitigation)
   - https://bugzilla.samba.org/show_bug.cgi?id=15400
     rpcserver no longer accepts double backslash in dfs pathname
   - https://bugzilla.samba.org/show_bug.cgi?id=15414
     "net offlinejoin provision" does not work as non-root user
   - https://bugzilla.samba.org/show_bug.cgi?id=15417
     Renaming results in NT_STATUS_SHARING_VIOLATION if previously attempted
     to remove the destination
   - https://bugzilla.samba.org/show_bug.cgi?id=15420
     reply_sesssetup_and_X() can dereference uninitialized tmp pointer
   - https://bugzilla.samba.org/show_bug.cgi?id=15427
     Spotlight results return wrong date in result list
   - https://bugzilla.samba.org/show_bug.cgi?id=15430
     Missing return in reply_exit_done()
   - https://bugzilla.samba.org/show_bug.cgi?id=15433
     cm_prepare_connection() calls close(fd) for the second time
   - https://bugzilla.samba.org/show_bug.cgi?id=15435
     Regression DFS not working with widelinks = true
   - https://bugzilla.samba.org/show_bug.cgi?id=15441
     samba-tool ntacl get segfault if aio_pthread appended
   - https://bugzilla.samba.org/show_bug.cgi?id=15446
     DCERPC_PKT_CO_CANCEL and DCERPC_PKT_ORPHANED can't be parsed
   - https://bugzilla.samba.org/show_bug.cgi?id=15449
     mdssvc: Do an early talloc_free() in _mdssvc_open()

 -- Michael Tokarev <mjt@tls.msk.ru>  Wed, 16 Aug 2023 20:11:26 +0300
