=== debian/rules ===
--- 
+++ 
@@ -13,6 +13,9 @@
 V := $(if $(filter terse, ${DEB_BUILD_OPTIONS}),,1)
 WAF := PYTHONHASHSEED=1 ./buildtools/bin/waf \
 	$(patsubst parallel=%,-j%,$(filter parallel=%,${DEB_BUILD_OPTIONS}))
+
+# stop python from generating .pyc caches
+export PYTHONDONTWRITEBYTECODE=1
 
 ifeq (linux,${DEB_HOST_ARCH_OS})
 ifneq (${DEB_HOST_GNU_TYPE},${DEB_BUILD_GNU_TYPE})
@@ -84,13 +87,6 @@
 config-args += \
 	--with-quota \
 	\
-	--with-systemd \
-	--systemd-install-services \
-	--with-systemddir=/lib/systemd/system \
-	--systemd-smb-extra='ExecCondition=/usr/share/samba/is-configured smb' \
-	--systemd-nmb-extra='ExecCondition=/usr/share/samba/is-configured nmb' \
-	--systemd-winbind-extra='ExecCondition=/usr/share/samba/is-configured winbind' \
-	--systemd-samba-extra='ExecCondition=/usr/share/samba/is-configured samba' \
 
 endif
 
@@ -201,3 +197,8 @@
 	find testbuild -name __pycache__ -exec rm -rf {} +
 	rm -f testbuild/compile_commands.json
 	touch $@
+testbuild/configured.stamp: testbuild/copied.stamp
+	@echo "############## selftest configure ##############"
+# allow some bundled "lib" for now just for the test build. Debian has them
+# (libsocket-wrapper &Co), but let's just build the bundled ones. There's no
+# good reason to use externally-packaged wrappers, they're small to build and
