## samba 4.18.6+dfsg

=== debian/changelog ===
samba (2:4.18.6+dfsg-1~bpo12+1) bookworm-backports; urgency=medium

  * Rebuild for bookworm-backports.

 -- Michael Tokarev <mjt@tls.msk.ru>  Sat, 19 Aug 2023 12:14:47 +0300
