=== debian/control ===
--- 
+++ 
@@ -66,8 +66,8 @@
 	python3-dnspython,
 	python3-etcd,
 	python3-markdown,
-	python3-testtools,
 # dependencies needed for selftest:
+#	python3-testtools <!nocheck>,
 #	lmdb-utils <!nocheck>,
 #	openssl <!nocheck>,
 #	python3-cryptography <!nocheck>,
@@ -333,4 +333,3 @@
  .
  This package contains LDB plugins which add support for various Active
  Directory features to the LDB library.
-
