=== debian/rules ===
--- 
+++ 
@@ -87,6 +87,13 @@
 config-args += \
 	--with-quota \
 	\
+	--with-systemd \
+	--systemd-install-services \
+	--with-systemddir=/lib/systemd/system \
+	--systemd-smb-extra='ExecCondition=/usr/share/samba/is-configured smb' \
+	--systemd-nmb-extra='ExecCondition=/usr/share/samba/is-configured nmb' \
+	--systemd-winbind-extra='ExecCondition=/usr/share/samba/is-configured winbind' \
+	--systemd-samba-extra='ExecCondition=/usr/share/samba/is-configured samba' \
 
 endif
 
@@ -195,10 +202,3 @@
 	cp -a -l $$(ls -1 | egrep -v '^(bin|testbuild|debian)$$') testbuild/
 # cleanup some files just in case, do not interfere with production build
 	find testbuild -name __pycache__ -exec rm -rf {} +
-	rm -f testbuild/compile_commands.json
-	touch $@
-testbuild/configured.stamp: testbuild/copied.stamp
-	@echo "############## selftest configure ##############"
-# allow some bundled "lib" for now just for the test build. Debian has them
-# (libsocket-wrapper &Co), but let's just build the bundled ones. There's no
-# good reason to use externally-packaged wrappers, they're small to build and
