=== debian/control ===
--- 
+++ 
@@ -21,11 +21,11 @@
 	perl:any,
 	po-debconf,
 # libraries which we embed but use system versions of:
-	libtalloc-dev (>= 2.4.0~),
-	python3-talloc-dev (>= 2.4.0~),
-	libtevent-dev (>= 0.14.0~),
-	libtdb-dev (>= 1.4.8~),
-	python3-tdb (>= 1.4.8~),
+	libtalloc-dev (>= 2.4.1~),
+	python3-talloc-dev (>= 2.4.1~),
+	libtevent-dev (>= 0.15.0~),
+	libtdb-dev (>= 1.4.9~),
+	python3-tdb (>= 1.4.9~),
 # system libraries:
 	pkg-config,
 	libacl1-dev,
@@ -55,7 +55,6 @@
 	libpopt-dev,
 	librados-dev [amd64 arm64 armel armhf i386 mips64el mipsel ppc64el s390x],
 	libreadline-dev,
-	libsystemd-dev [linux-any],
 	libtasn1-6-dev (>= 3.8),
 	libtasn1-bin,
 	liburing-dev [linux-any] <!pkg.samba.nouring>,
@@ -173,9 +172,10 @@
 Suggests: heimdal-clients,
           python3-markdown,
           python3-dnspython
-# in 4.16.2+dfsg-1 we moved samba-dcerpcd from samba to samba-common-bin:
-Replaces: samba (<< 2:4.16.2+dfsg-1~)
-Breaks:   samba (<< 2:4.16.2+dfsg-1~)
+# moved samba-dcerpcd samba=>samba-common-bin in in 4.16.2+dfsg-1
+# moved libnet-keytab-samba4.so.0 & libRPC-WORKER-samba4.so.0 samba-libs=>samba-common-bin in 4.19.0~r1
+Replaces: samba (<< 2:4.16.2+dfsg-1~), samba-libs (<< 2:4.19.0~)
+Breaks:   samba (<< 2:4.16.2+dfsg-1~), samba-libs (<< 2:4.19.0~)
 Description: Samba common files used by both the server and the client
  Samba is an implementation of the SMB/CIFS protocol for Unix systems,
  providing support for cross-platform file sharing with Microsoft Windows, OS X,
@@ -247,6 +247,9 @@
          samba-libs (= ${binary:Version}),
          ${misc:Depends},
          ${shlibs:Depends}
+# move libshares-samba4.so.0 samba-libs=>samba-testsuite in 4.19.0~rc1
+Replaces: samba-libs (<< 2:4.19.0~)
+Breaks:   samba-libs (<< 2:4.19.0~)
 Description: test suite from Samba
  Samba is an implementation of the SMB/CIFS protocol for Unix systems,
  providing support for cross-platform file sharing with Microsoft Windows, OS X,
@@ -327,9 +330,3 @@
 Enhances: libldb2
 Description: Samba Directory Services Database
  Samba is an implementation of the SMB/CIFS protocol for Unix systems,
- providing support for cross-platform file sharing with Microsoft Windows, OS X,
- and other Unix systems.  Samba can also function as a domain controller
- or member server in Active Directory or NT4-style domains.
- .
- This package contains LDB plugins which add support for various Active
- Directory features to the LDB library.
