=== debian/rules ===
--- 
+++ 
@@ -35,7 +35,10 @@
 # #1021371: we only need the single "version" symbol LDB_2.4.4 in the library
 # should be removed for bookworm+. Also LDB_2.4.4 in d/libldb2.symbols
 # 2.6.2 is bookworm-only symbol (but keep an eye on bookworm-backports)
-EXTRA_ABI_VERSION_FILES = lib/ldb/ABI/ldb-2.4.4.sigs lib/ldb/ABI/ldb-2.6.2.sigs
+EXTRA_ABI_VERSION_FILES = \
+	lib/ldb/ABI/ldb-2.4.4.sigs \
+	lib/ldb/ABI/ldb-2.6.2.sigs \
+	lib/ldb/ABI/ldb-2.7.1.sigs \
 
 omit-pkgs =
 with-glusterfs =
@@ -87,13 +90,6 @@
 config-args += \
 	--with-quota \
 	\
-	--with-systemd \
-	--systemd-install-services \
-	--with-systemddir=/lib/systemd/system \
-	--systemd-smb-extra='ExecCondition=/usr/share/samba/is-configured smb' \
-	--systemd-nmb-extra='ExecCondition=/usr/share/samba/is-configured nmb' \
-	--systemd-winbind-extra='ExecCondition=/usr/share/samba/is-configured winbind' \
-	--systemd-samba-extra='ExecCondition=/usr/share/samba/is-configured samba' \
 
 endif
 
@@ -202,3 +198,9 @@
 	cp -a -l $$(ls -1 | egrep -v '^(bin|testbuild|debian)$$') testbuild/
 # cleanup some files just in case, do not interfere with production build
 	find testbuild -name __pycache__ -exec rm -rf {} +
+	rm -f testbuild/compile_commands.json
+	touch $@
+testbuild/configured.stamp: testbuild/copied.stamp
+	@echo "############## selftest configure ##############"
+# allow some bundled "lib" for now just for the test build. Debian has them
+# (libsocket-wrapper &Co), but let's just build the bundled ones. There's no
