=== debian/control ===
--- 
+++ 
@@ -35,7 +35,9 @@
 	libblkid-dev,
 	libbsd-dev,
 	libcap-dev [linux-any],
-	libcephfs-dev [amd64 arm64 armel armhf i386 mips64el mipsel ppc64el s390x],
+# the same [arch list] is in rules (with-ceph) and ctdb.install
+	libcephfs-dev [amd64 arm64 mips64el ppc64el riscv64 s390x],
+	librados-dev  [amd64 arm64 mips64el ppc64el riscv64 s390x],
 	libcmocka-dev (>= 1.1.3),
 	libcups2-dev,
 	libdbus-1-dev,
@@ -46,14 +48,13 @@
 	libjansson-dev,
 	libjson-perl,
 	libkeyutils-dev,
-	libkrb5-dev (>= 1.19.0~) <pkg.samba.mitkrb5>,
+	libkrb5-dev (>= 1.20.0~) <pkg.samba.mitkrb5>,
 	libldap2-dev,
 	liblmdb-dev,
 	libpam0g-dev,
 	libparse-yapp-perl,
 	libpcap-dev [hurd-i386 kfreebsd-any],
 	libpopt-dev,
-	librados-dev [amd64 arm64 armel armhf i386 mips64el mipsel ppc64el s390x],
 	libreadline-dev,
 	libtasn1-6-dev (>= 3.8),
 	libtasn1-bin,
@@ -129,7 +130,11 @@
 Multi-Arch: same
 Architecture: any
 Section: libs
-Depends: ${misc:Depends}, ${shlibs:Depends}
+Depends: ${misc:Depends}, ${shlibs:Depends},
+# since libldb ABI is incorrectly versioned resulting in breakage like #1021371,
+# just require libldb version of the same build
+# https://lists.samba.org/archive/samba-technical/2023-September/138422.html
+ ${ldb:Depends},
 Replaces:
 # libsamba-util.so &deps moved from libwbclient0 to samba-libs in 4.16.1+dfsg-7
  libwbclient0 (<< 2:4.16.1+dfsg-7~),
@@ -324,9 +329,3 @@
 Section: libs
 Depends: libgpgme11,
          samba-libs (= ${binary:Version}),
-         ${ldb:Depends},
-         ${misc:Depends},
-         ${shlibs:Depends}
-Enhances: libldb2
-Description: Samba Directory Services Database
- Samba is an implementation of the SMB/CIFS protocol for Unix systems,
